/* Demonstration Program for TK-78K0/KF2 */
/* (UPD78F0547: 78K0/KF2)                */
/*   main.c                              */
/*   initial.c                           */
/*   interrupt.c                         */

#pragma ei

#include "common.h"

extern void h_initial();

/* SW2:P30(INTP1), SW3:P120                             */
/* 7segLED:P5                                           */


/*********************************************************/
/*********************************************************/

void main()
{
	h_initial();
	EI();
	
	while (1){
	
		g_start = 0;
		IF0H.6 = 0;
		MK0H.6 = 1;
		
		IF0L.2 = 0;
		MK0L.2 = 0;
		PR0L.2 = 1;
		
		while( g_start == 0 ){
		}
		
		P5.7 = 1;
		MK1L.5 = 1;
		MK0L.2 = 1;
		MK0H.6 = 0;
									
		while( g_start == 1 ){		
			if ( !P12.0 ){
				g_start = 2;
			}
		}

		while ( g_start == 2 ) {
			if ( g_led_s >= 40 ){
				g_start = 0;
				g_led_s = 0;
				P5.7 = 0;
				MK1L.5 = 0;
			}
		}
	}
}
